Bug 998082 - [abrt] policycoreutils-gui-2.1.14-46.4.fc19: generate.py:1224:write_te:IOError: [Errno 13] Permiso denegado: '/mnt/datos/backups/crashplan/crashplan.te'
[abrt] policycoreutils-gui-2.1.14-46.4.fc19: generate.py:1224:write_te:IOErro...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: policycoreutils (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
abrt_hash:e86467952ed8bd1e306eb5dfa29...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-17 03:05 EDT by Juan Orti
Modified: 2015-01-14 08:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-14 08:11:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (889 bytes, text/plain)
2013-08-17 03:05 EDT, Juan Orti
no flags Details
File: environ (1.79 KB, text/plain)
2013-08-17 03:05 EDT, Juan Orti
no flags Details

  None (edit)
Description Juan Orti 2013-08-17 03:05:10 EDT
Description of problem:
I was creating a new policy and tried to save it to a folder where I didn't have permissions

Version-Release number of selected component:
policycoreutils-gui-2.1.14-46.4.fc19

Additional info:
reporter:       libreport-2.1.6
cmdline:        /usr/bin/python -Es /usr/bin/selinux-polgengui
dso_list:       policycoreutils-python-2.1.14-46.4.fc19.x86_64
executable:     /usr/bin/selinux-polgengui
kernel:         3.10.6-200.fc19.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
generate.py:1224:write_te:IOError: [Errno 13] Permiso denegado: '/mnt/datos/backups/crashplan/crashplan.te'

Traceback (most recent call last):
  File "/usr/bin/selinux-polgengui", line 372, in forward
    self.generate_policy()
  File "/usr/bin/selinux-polgengui", line 518, in generate_policy
    self.info(my_policy.generate(outputdir))
  File "/usr/lib64/python2.7/site-packages/sepolicy/generate.py", line 1360, in generate
    out += "%s # %s\n" % (self.write_te(out_dir), _("Type Enforcement file"))
  File "/usr/lib64/python2.7/site-packages/sepolicy/generate.py", line 1224, in write_te
    fd = open(tefile, "w")
IOError: [Errno 13] Permiso denegado: '/mnt/datos/backups/crashplan/crashplan.te'

Local variables in innermost frame:
tefile: '/mnt/datos/backups/crashplan/crashplan.te'
self: <sepolicy.generate.policy instance at 0xa3f0e18>
out_dir: '/mnt/datos/backups/crashplan'
Comment 1 Juan Orti 2013-08-17 03:05:14 EDT
Created attachment 787518 [details]
File: backtrace
Comment 2 Juan Orti 2013-08-17 03:05:18 EDT
Created attachment 787519 [details]
File: environ
Comment 3 Daniel Walsh 2013-08-17 06:36:19 EDT
This is fixed in the upstream version.
Comment 4 Fedora End Of Life 2015-01-09 14:29:04 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.